Subject: Re: [PATCH] NET: Multiqueue network device support.

From: jamal <[email-masked]>
Date: Wed, 27 Jun 2007 20:15:47 -0400

On Wed, 2007-27-06 at 15:54 -0700, David Miller wrote:

> The thing that's really important is that the value is not so
> large such that the TX ring can become empty.

In the case of batching, varying the values makes a difference.
The logic is that if you can tune it so that the driver takes
"sufficiently long" to stay closed the more packets you accumulate at
the qdisc and the more you can batch to the driver (when it opens up). 
Deciding what "sufficiently long" is an art - and i am sure speed
dependent. With e1000 at gige 128 seems to be a good value, going above
or below that gave lesser performance.

cheers,
jamal